| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableAlgTool Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableAlgTool:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableAlgTool:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | getHandle (self)
def | getGaudiType (self)
def | getGaudiHandle (self)
def | getPrintTitle (self)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | getJobOptName (self)
def | isPublic (self)
def | isInToolSvc (self)
def | toStringProperty (self)
def | getFullName (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__ (self, name=DefaultName)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Attributes
| _name
| _jobOptName

## Static Private Attributes
dictionary | __slots__

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

Definition at line 1064 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.ConfigurableAlgTool.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Definition at line 1068 of file Configurable.py.

1068 def __init__( self, name = Configurable.DefaultName ):
1069 super( ConfigurableAlgTool, self ).__init__( name )
1070 if '.' not in self._name:
1071 # Public tools must have ToolSvc as parent
1072 self._name = "ToolSvc." + self._name
1073 name = self.getName()
1074 name = name[ name.find('/')+1 : ] # strips class, if any
1075 self._jobOptName = name
1076
GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
_jobOptName
Definition: Configurable.py:1075
GaudiKernel.Configurable.ConfigurableAlgTool.__init__
def __init__(self, name=Configurable.DefaultName)
Definition: Configurable.py:1068
GaudiKernel.Configurable.Configurable._name
_name
Definition: Configurable.py:295
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:691

## Member Function Documentation

def GaudiKernel.Configurable.ConfigurableAlgTool.getFullName | ( |  | self | ) |

Definition at line 1134 of file Configurable.py.

1134 def getFullName( self ) :
1135 # for Tools, the "full name" means "Type/LocalName",
1136 # without the names of the parents
1137 name = self.getName()
1138 # strip off everything before the last '.'
1139 name = name[name.rfind('.')+1:]
1140 return str( self.getType() + '/' + name )
1141
1142
GaudiKernel.Configurable.ConfigurableAlgTool.getFullName
def getFullName(self)
Definition: Configurable.py:1134
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:691
GaudiKernel.Configurable.Configurable.getType
def getType(cls)
Definition: Configurable.py:688

def GaudiKernel.Configurable.ConfigurableAlgTool.getGaudiHandle | ( |  | self | ) |

Definition at line 1084 of file Configurable.py.

1084 def getGaudiHandle( self ):
1085 if self.isPublic():
1086 return PublicToolHandle( self.toStringProperty() )
1087 else:
1088 return PrivateToolHandle( self.toStringProperty() )
1089
GaudiKernel.GaudiHandles.PrivateToolHandle
Definition: GaudiHandles.py:80
GaudiKernel.Configurable.ConfigurableAlgTool.toStringProperty
def toStringProperty(self)
Definition: Configurable.py:1130
GaudiKernel.Configurable.ConfigurableAlgTool.getGaudiHandle
def getGaudiHandle(self)
Definition: Configurable.py:1084
GaudiKernel.GaudiHandles.PublicToolHandle
Definition: GaudiHandles.py:71
GaudiKernel.Configurable.Configurable.isPublic
def isPublic(self)
Definition: Configurable.py:700

def GaudiKernel.Configurable.ConfigurableAlgTool.getGaudiType | ( |  | self | ) |

Definition at line 1081 of file Configurable.py.

1081 def getGaudiType( self ):
1082 return 'AlgTool'
1083
GaudiKernel.Configurable.ConfigurableAlgTool.getGaudiType
def getGaudiType(self)
Definition: Configurable.py:1081

def GaudiKernel.Configurable.ConfigurableAlgTool.getHandle | ( |  | self | ) |

Definition at line 1077 of file Configurable.py.

1077 def getHandle( self ):
1078 # iAlgTool isn't useful, unless one knows for sure that the tool exists
1079 return iProperty( self.getJobOptName() )
1080
GaudiKernel.Configurable.Configurable.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:697
GaudiKernel.Configurable.ConfigurableAlgTool.getHandle
def getHandle(self)
Definition: Configurable.py:1077

def GaudiKernel.Configurable.ConfigurableAlgTool.getJobOptName | ( |  | self | ) |

Definition at line 1121 of file Configurable.py.

1121 def getJobOptName( self ):
1122 return self._jobOptName
1123
GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
_jobOptName
Definition: Configurable.py:1075
GaudiKernel.Configurable.ConfigurableAlgTool.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:1121

def GaudiKernel.Configurable.ConfigurableAlgTool.getParent | ( |  | self | ) |

Definition at line 1111 of file Configurable.py.

1111 def getParent( self ):
1112 dot = self._jobOptName.rfind('.')
1113 if dot != -1:
1114 return self._jobOptName[:dot]
1115 else:
1116 return ""
1117
GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
_jobOptName
Definition: Configurable.py:1075
GaudiKernel.Configurable.ConfigurableAlgTool.getParent
def getParent(self)
Definition: Configurable.py:1111

def GaudiKernel.Configurable.ConfigurableAlgTool.getPrintTitle | ( |  | self | ) |

Definition at line 1090 of file Configurable.py.

1090 def getPrintTitle(self):
1091 if self.isPublic():
1092 pop = 'Public '
1093 else:
1094 pop = 'Private '
1095 return pop + Configurable.getPrintTitle(self)
1096
GaudiKernel.Configurable.ConfigurableAlgTool.getPrintTitle
def getPrintTitle(self)
Definition: Configurable.py:1090
GaudiKernel.Configurable.Configurable.isPublic
def isPublic(self)
Definition: Configurable.py:700

def GaudiKernel.Configurable.ConfigurableAlgTool.hasParent | ( |  | self,
|  |  | parent
| ) |  |

Definition at line 1118 of file Configurable.py.

1118 def hasParent( self, parent ):
1119 return self._jobOptName.startswith( parent + '.' )
1120
GaudiKernel.Configurable.ConfigurableAlgTool.hasParent
def hasParent(self, parent)
Definition: Configurable.py:1118

def GaudiKernel.Configurable.ConfigurableAlgTool.isInToolSvc | ( |  | self | ) |

Definition at line 1127 of file Configurable.py.

1127 def isInToolSvc( self ):
1128 return self._jobOptName.startswith('ToolSvc.')
1129
GaudiKernel.Configurable.ConfigurableAlgTool.isInToolSvc
def isInToolSvc(self)
Definition: Configurable.py:1127

def GaudiKernel.Configurable.ConfigurableAlgTool.isPublic | ( |  | self | ) |

Definition at line 1124 of file Configurable.py.

1124 def isPublic( self ):
1125 return self.isInToolSvc()
1126
GaudiKernel.Configurable.ConfigurableAlgTool.isInToolSvc
def isInToolSvc(self)
Definition: Configurable.py:1127
GaudiKernel.Configurable.ConfigurableAlgTool.isPublic
def isPublic(self)
Definition: Configurable.py:1124

def GaudiKernel.Configurable.ConfigurableAlgTool.setParent | ( |  | self,
|  |  | parentName
| ) |  |

Definition at line 1097 of file Configurable.py.

1097 def setParent( self, parentName ):
1098 # print "ConfigurableAlgTool.setParent(%s@%x,%r)" % (self.getName(),id(self),parentName)
1099 # print "Calling stack:"
1100 # import traceback
1101 # traceback.print_stack()
1102 # propagate parent to AlgTools in children
1103 for c in self.getAllChildren():
1104 if isinstance(c,ConfigurableAlgTool): c.setParent( parentName )
1105
1106 # update my own parent
1107 name = self.getName()
1108 name = name[name.rfind('.')+1:] # Name of the instance
1109 self._jobOptName = self._name = parentName + '.' + name
1110
GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
_jobOptName
Definition: Configurable.py:1075
GaudiKernel.Configurable.ConfigurableAlgTool.setParent
def setParent(self, parentName)
Definition: Configurable.py:1097
GaudiKernel.Configurable.Configurable._name
_name
Definition: Configurable.py:295
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:691
GaudiKernel.Configurable.Configurable.getAllChildren
def getAllChildren(self)
Definition: Configurable.py:495

def GaudiKernel.Configurable.ConfigurableAlgTool.toStringProperty | ( |  | self | ) |

Definition at line 1130 of file Configurable.py.

1130 def toStringProperty( self ):
1131 # called on conversion to a string property for the jocat
1132 return self.getFullName()
1133
GaudiKernel.Configurable.ConfigurableAlgTool.toStringProperty
def toStringProperty(self)
Definition: Configurable.py:1130
GaudiKernel.Configurable.Configurable.getFullName
def getFullName(self)
Definition: Configurable.py:709

## Member Data Documentation

dictionary GaudiKernel.Configurable.ConfigurableAlgTool.__slots__
| static private

Initial value:
1 = { '_jobOptName' : '', 'OutputLevel' : 0, \
2 'AuditTools' : 0, 'AuditInitialize' : 0, 'AuditFinalize' : 0 }

Definition at line 1065 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
| private

Definition at line 1075 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableAlgTool._name
| private

Definition at line 1072 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py